Subject: bug#63648: 29.0.90; project.el: with switch-use-entire-map, switch-project errors on non-project commands

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Jun 2023 15:46:33 +0300

> Cc: Spencer Baugh <[email-masked]>, [email-masked]
> Date: Fri, 2 Jun 2023 04:40:28 +0300
> From: Dmitry Gutov <[email-masked]>
> 
> > 'C-x p p (select project ...) RET M-& pwd RET' confirms that
> > the command runs in the selected project directory.
> > Whereas the original buffer keeps its previous buffer-local value
> > of 'default-directory'.
> 
> I suggest you bring up this feature addition on emacs-devel, or 
> otherwise wait for a review from Eli, at least.
> 
> It's not a big addition, but it's a distinct new feature (the 
> next-default-directory var).

I guess I wasn't following this discussion closely enough, because I
don't understand why my review is being sought.  Is this something
proposed for the emacs-29 branch?